Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskListAttribute

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskListAttribute

public class TaskListAttribute
extends java.lang.Object

An enumerated type used to describe the specific fields that can be used in constructing a `TaskListQueryOrder` for Task Lists.

Field Summary
`static TaskListAttribute` | `DUE_DATE` Attribute for due dates of the task list's containing tasks.
`static TaskListAttribute` | `NAME` Attribute for the task list name.
`static TaskListAttribute` | `START_DATE` Attribute for the start date of the task list's containing tasks.
`static TaskListAttribute` | `STATUS` Attribute for the statuses of the task list's containing tasks.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUE_DATE

    public static final TaskListAttribute DUE_DATE

  Attribute for due dates of the task list's containing tasks.

### NAME

    public static final TaskListAttribute NAME

  Attribute for the task list name.

### START_DATE

    public static final TaskListAttribute START_DATE

  Attribute for the start date of the task list's containing tasks.

### STATUS

    public static final TaskListAttribute STATUS

  Attribute for the statuses of the task list's containing tasks.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.